Bug 274 - NullReferenceException in System.ServiceModel.ChannelFactory
Summary: NullReferenceException in System.ServiceModel.ChannelFactory
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: WCF assemblies (show other bugs)
Version: 2.10.x
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-08-12 01:17 UTC by Willem Meints
Modified: 2018-03-13 11:07 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Willem Meints 2011-08-12 01:17:43 UTC
When you create a service proxy that uses the DefaultOpenTimeout property it will raise a NullReferenceException when you try to use the service proxy.

I/MonoDroid(  422): UNHANDLED EXCEPTION: System.NullReferenceException: Object reference not set to an instance of an object
I/MonoDroid(  422): at System.ServiceModel.ChannelFactory.get_DefaultOpenTimeout () <0x00028>
I/MonoDroid(  422): at System.ServiceModel.MonoInternal.ClientRuntimeChannel..ctor
(System.ServiceModel.Description.ServiceEndpoint,System.ServiceModel.ChannelFactory,System.ServiceModel.EndpointAddress,System.Uri) <0x00057>
Comment 1 Martin Baulig 2012-09-20 00:36:01 UTC
Do you have a test case for this ?
Comment 2 Craig 2014-03-07 15:07:25 UTC
I'm seeing this error as well.

Create a proxy using the following command and try hitting one of the service methods on the latest stable version of Xamarin Android:

SlSvcUtil.exe https://www.vectren.com/webservices/cxf/contentService?wsdl /directory:c:\users\cschulte\desktop\temp /n:*,Vectren.Mobile.Shared.Services.Content /o:ContentService.cs
Comment 3 Craig 2014-03-07 15:23:42 UTC
nevermind my issue was resolved.  I didn't have my binding set up correctly.
Comment 4 rick.mccabe 2015-01-08 06:52:15 UTC
@Craig I have the same problem, how did you set up the binding please?
Comment 5 Julien 2015-01-21 19:32:02 UTC
I also am having the same problem. Is there a resolution of some sort?
Comment 6 Marek Safar 2018-03-13 11:07:11 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!